Main Page Class Hierarchy Compound List File List Compound Members File Members

# transfer.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <fft_prep.h>`
`#include <fft99.h>`
`#include <transfer.h>`

Go to the source code of this file.

## Defines
#define | MAXLINE 80
#define | NFFT_TEST 1024
#define | ALIAS_CUTOFF 0.01
## Functions
void | drop (PZNum *, int *, int)
void | response (long nfft, double deltat, ResponseStruct *pRS, double *tfr, double *tfi)
int | readPZ (char *pzfile, ResponseStruct *pRS)
double | ftaper (double freq, double fon, double foff)
int | convertWave (double input[], long npts, double deltat, ResponseStruct *origRS, ResponseStruct *finalRS, double freq[4], int retFD, long *pPadLen, long *pnfft, double output[], long outBufLen, double *work, double *workFFT)
int | respLen (ResponseStruct *rs, double deltat, double freq[4])
void | pzCancel (ResponseStruct *rs, double tol)
void | taper (double *data, long npts, long tLen)
void | deMean (double *data, long npts, double *mean)
void | cleanPZ (ResponseStruct *pRS)
void | transferDebug (int level)
## Variables
int | Debug = 0

## Define Documentation

#define ALIAS_CUTOFF 0.01

| Definition at line 570 of file transfer.c. Referenced by respLen().

#define MAXLINE 80

| Definition at line 24 of file transfer.c.

#define NFFT_TEST 1024

| Definition at line 564 of file transfer.c. Referenced by respLen().

## Function Documentation

void cleanPZ | ( | ResponseStruct * | pRS | ) |

| Definition at line 878 of file transfer.c. References _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by convertWave(), gma(), and readPZ().

int convertWave | ( | double | input[],
|  | long | npts,
|  | double | deltat,
|  | ResponseStruct * | origRS,
|  | ResponseStruct * | finalRS,
|  | double | freq[4],
|  | int | retFD,
|  | long * | pPadLen,
|  | long * | pnfft,
|  | double | output[],
|  | long | outBufLen,
|  | double * | work,
|  | double * | workFFT
| ) |

| Definition at line 396 of file transfer.c. References cleanPZ(), Debug, _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, fft991(), FFT_EXTRA, ftaper(), _FACT::ifax, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, PI, _ResponseStruct::Poles, prepFFT(), respLen(), response(), TR_DBG_ARS, TR_DBG_PZG, _FACT::trigs, and _ResponseStruct::Zeros.

void deMean | ( | double * | data,
|  | long | npts,
|  | double * | mean
| ) |

| Definition at line 855 of file transfer.c.

void drop | ( | PZNum * | ,
|  | int * | ,
|  | int |
| ) | `[static]`

| Definition at line 806 of file transfer.c. Referenced by pzCancel().

double ftaper | ( | double | freq,
|  | double | fon,
|  | double | foff
| ) |

| Definition at line 321 of file transfer.c. References PI. Referenced by convertWave(), gma(), and respLen().

void pzCancel | ( | ResponseStruct * | rs,
|  | double | tol
| ) |

| Definition at line 770 of file transfer.c. References _PZNum::dImag, _PZNum::dReal, drop(), _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by gma().

int readPZ | ( | char * | pzfile,
|  | ResponseStruct * | pRS
| ) |

| Definition at line 142 of file transfer.c. References cleanPZ(), _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, MAXLINE, _ResponseStruct::Poles, and _ResponseStruct::Zeros.

int respLen | ( | ResponseStruct * | rs,
|  | double | deltat,
|  | double | freq[4]
| ) |

| Definition at line 591 of file transfer.c. References ALIAS_CUTOFF, Debug, _ResponseStruct::dGain, fft991(), ftaper(), _FACT::ifax, NFFT_TEST, PI, prepFFT(), response(), TR_DBG_TRS, and _FACT::trigs.

void response | ( | long | nfft,
|  | double | deltat,
|  | ResponseStruct * | pRS,
|  | double * | tfr,
|  | double * | tfi
| ) |

| Definition at line 41 of file transfer.c. References _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, PI, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by convertWave(), gma(), and respLen().

void taper | ( | double * | data,
|  | long | npts,
|  | long | tLen
| ) |

| Definition at line 832 of file transfer.c. References PI. Referenced by gma().

void transferDebug | ( | int | level | ) |

| Definition at line 895 of file transfer.c. References Debug.

## Variable Documentation

int Debug = 0`[static]`

| Definition at line 25 of file transfer.c. Referenced by convertWave(), respLen(), and transferDebug().